Data Structures | Typedefs

# script_storage.hpp File Reference

Defines ScriptStorage and includes all files required for it. More...

`#include "../signs_func.h"`
`#include "../vehicle_func.h"`
`#include "../road_type.h"`
`#include "../group.h"`
`#include "../goal_type.h"`
`#include "table/strings.h"`
`#include <vector>`
`#include "../signs_func.h"`
`#include "../vehicle_func.h"`

Go to the source code of this file.

## Data Structures
class | ScriptStorage
| The storage for each script. More...
## Typedefs
typedef bool( | ScriptModeProc )()
| The callback function for Mode-classes.

## Detailed Description

Defines ScriptStorage and includes all files required for it.

Definition in file script_storage.hpp.